<?php
session_start();
// Apabila user belum login
if (empty($_SESSION['namauser']) AND empty($_SESSION['passuser'])){
  echo "<link href=\"../../css/style_login.css\" rel=\"stylesheet\" type=\"text/css\" />
        <div id=\"login\"><h1 class=\"fail\">Untuk mengakses modul, Anda harus login dulu.</h1>
        <p class=\"fail\"><a href=\"../../index.php\">LOGIN</a></p></div>";  
}
// Apabila user sudah login dengan benar, maka terbentuklah session
else{
  include "../../../config/koneksi.php";
  include "../../../config/fungsi_seo.php";

  $module = $_GET['module'];
  $act    = $_GET['act'];

// Hapus berita
  if ($module=='album' AND $act=='hapus'){
    $query = "SELECT gambar FROM album WHERE id_album='$_GET[id]'";
    $hapus = mysqli_query($konek, $query);
    $r     = mysqli_fetch_array($hapus);
    
    if ($r['gambar']!=''){
      $namafile = $r['gambar'];
      // hapus file gambar yang berhubungan dengan berita tersebut
      unlink("../../../foto_album/$namafile");   
      unlink("../../../foto_album/small_$namafile");   
      
      // hapus data berita di database 
      mysqli_query($konek, "DELETE FROM album WHERE id_album='$_GET[id]'");      
    }
    else{
      mysqli_query($konek, "DELETE FROM album WHERE id_album='$_GET[id]'");
    }
    header("location:../../media.php?module=".$module);
  }




  // Input album
  elseif ($module=='album' AND $act=='input'){
   
    $nama_album = addslashes($_POST['nama_album']);
    $album_seo  = seo_title($_POST['nama_album']);
    $berita   = $_POST['berita'];




   $rand = rand();
$ekstensi =  array('png','jpg','jpeg','gif','webp');
$filename = $_FILES['foto']['name'];
$ukuran = $_FILES['foto']['size'];
$ext = pathinfo($filename, PATHINFO_EXTENSION);



 if (empty($filename)){
      mysqli_query($konek, "INSERT INTO album (nama_album, album_seo, id_berita, gambar) VALUES('$nama_album','$album_seo','$berita', '$xx')");
    header("location:../../media.php?module=".$module);
    }
      // Apabila ada gambar yang di upload
    else{

 
 
if(!in_array($ext,$ekstensi) ) {
  header("location:index.php?alert=gagal_ekstensi");
}else{
  if($ukuran < 1044070){    
    $xx = $rand.'_'.$filename;
    $folder = "../../../foto_album/";
    move_uploaded_file($_FILES['foto']['tmp_name'], $folder.$rand.'_'.$filename);
    mysqli_query($konek, "INSERT INTO album (nama_album, album_seo, id_berita,  gambar) VALUES('$nama_album','$album_seo','$berita', '$xx')");
    header("location:../../media.php?module=".$module);
  }else{
     echo "<script>window.alert('Upload Gagal! Ukuran Terlalu Besar');
              window.location=('../../media.php?module=album)</script>";
  }
}


}

  }

  // Update album
  elseif ($module=='album' AND $act=='update'){


    $id         = $_POST['id'];
    $nama_album = addslashes($_POST['nama_album']);
    $album_seo  = seo_title($_POST['nama_album']);
    $berita = $_POST['berita'];
    


$rand = rand();
$ekstensi =  array('png','jpg','jpeg','gif','webp');
$filename = $_FILES['foto']['name'];
$ukuran = $_FILES['foto']['size'];
$ext = pathinfo($filename, PATHINFO_EXTENSION);


    // Apabila gambar tidak diganti
    if (empty($filename)){
     mysqli_query($konek, "UPDATE album SET nama_album = '$nama_album',
                                  album_seo  = '$album_seo',
                                  id_berita  = '$berita'
                            WHERE id_album   = '$id'");
    header("location:../../media.php?module=".$module);
    }
    else{
        

if(!in_array($ext,$ekstensi) ) {
  header("location:index.php?alert=gagal_ekstensi");
}else{
  if($ukuran < 1044070){    
    $xx = $rand.'_'.$filename;
    $folder = "../../../foto_album/";
    move_uploaded_file($_FILES['foto']['tmp_name'], $folder.$rand.'_'.$filename);
    mysqli_query($konek, "UPDATE album SET nama_album = '$nama_album',
                                  album_seo  = '$album_seo',
                                  id_berita  = '$berita',
                                  gambar = '$xx'
                            WHERE id_album   = '$id'");
    header("location:../../media.php?module=".$module);
  }else{
     echo "<script>window.alert('Upload Gagal! Ukuran Terlalu Besar');
              window.location=('../../media.php?module=album)</script>";
  }
} 



    } 
  }
}
?>
